# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
parameters:
    locale: fr
    key: c016333d7ea64b34f9d3c3daea4f9fd6
    # excel_directory: '%kernel.root_dir%/web/uploads/excel'
    # host_api_atelier_conference: https://tech.salondesentrepreneurs.com/flux/xml_conferences.php?salon=paris&annee=2020
    # host_api_atelier_exposant: https://tech.salondesentrepreneurs.com/flux/xml_exposants.php?salon=paris&annee=2020
    # user_webservice: bliwe@comexposium.com
    # password_webservice: 8zEnPzvqA9S3mQO7wW0
    # url_webservice_comexposium_token: http://www.e-registration.net/WebServices/WS_Catalogue/authentificationws.asmx?wsdl
    access_key: "%key%"
    database_url : '%env(DATABASE_URL)%'
    # url_webservice_comexposium_catalogue: http://www.e-registration.net/WebServices/WS_Catalogue/parametragecataloguews.asmx
    #host_api_atelier_exposant : https://tech.salondesentrepreneurs.com/io/inwink/pan_exhibitors.php?event=2360fda0-7354-ed11-ade6-cc60c88fa266
    #host_api_atelier_exposant : https://tech.salondesentrepreneurs.com/io/inwink/pan_exhibitors.php?event=e442a0a3-9559-ec11-94f6-a04a5e7cd2d9 // 2022
    #host_api_atelier_conference: https://tech.salondesentrepreneurs.com/io/inwink/pan_sessions.php?event=2360fda0-7354-ed11-ade6-cc60c88fa266
    # host_api_atelier_conference: https://tech.salondesentrepreneurs.com/io/inwink/pan_sessions.php?event=e442a0a3-9559-ec11-94f6-a04a5e7cd2d9
    #host_api_speakers: https://vt-search-service-gtab.azurewebsites.net/api/speaker/search/?count=3000
    # host_api_atelier_conference:  http://dev.vivatech2023.napsy.com/sessions-4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    host_api_atelier_conference:  https://dev-pollutec.appsalon.fr/sessions-4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    # host_api_atelier_conference:  http://127.0.0.1/sessions-4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    #host_api_atelier_conference2:  http://tech.salondesentrepreneurs.com/io/inwink/pan_sessions.php?event=dcbd6114-9959-ec11-94f6-a04a5e7cd2d9
    host_api_token: "eyJhbGciOiJSUzI1NiIsImtpZCI6IjdFNzI5Q0Q2NEExMjFFOTRDRjFFQUM0RkZBM0I2MzE3RTE4OUZCQTIiLCJ0eXAiOiJKV1QifQ.eyJzdWIiOiJzaWduYWxkaWdpdC1zeW5jIiwiaHR0cDovL3NjaGVtYXMubWljcm9zb2Z0LmNvbS93cy8yMDA4LzA2L2lkZW50aXR5L2NsYWltcy9yb2xlIjoiYXBwbGljYXRpb24iLCJ0b2tlbl91c2FnZSI6ImFjY2Vzc190b2tlbiIsImp0aSI6Ijc5MWU2OTNiLWVlMmMtNDZhNS1hYjRmLWJkZmY0YmFkMzQyZSIsImNmZF9sdmwiOiJwcml2YXRlIiwic2NvcGUiOiJyZWFkLXBlcnNvbnNhbmRzZXNzaW9ucyIsImF6cCI6InNpZ25hbGRpZ2l0LXN5bmMiLCJuYmYiOjE2NTQwMDc4ODYsImV4cCI6MTY1NDAxODY4NiwiaWF0IjoxNjU0MDA3ODg2LCJpc3MiOiJodHRwczovL2F1dGguaW53aW5rLmNvbS8ifQ.s8JLGygxUgvmaeBPqevy7sJpYGomOAJq8-eB3maswacOJ3uwMGkNlYBk4B0BFaY_hNXP7Fu5gvr2pATQLGmkm-DCHsovB9CsnDyf0lkfcmpbljUUTqsv6nkr8Ukfk-DqZsmjkYnz51F4vVZwLNAWELhdThDEt69vtPRQVdhIaOvTMieWtQNjoaMXg3_S9nZ4GjkJNZqHFbrfUJHeJydGn5DKAEWxJumHiIqJG50AdwKiI4YN4FBc_AxmnNtkEiAKA_BAsDKbPS_4sr-N3bL8_odOP5t3Gb2ZnV4Xb1768qkR7LiKIq6y2Qf9LZWAYl2kBsL71k0tMQ9SLHBpeLfpIQ"
    # host_api_atelier_exposant : http://dev.vivatech2023.napsy.com/4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    host_api_atelier_exposant : https://dev-pollutec.appsalon.fr/4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    # host_api_atelier_exposant : http://127.0.0.1/4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    image_upload_mode : light
    # host_url :  http://siae2023.napsy.com/web-service/synchronisation-siae  #PROD
    # host_url :  http://dev.siae2023.napsy.com/web-service/synchronisation-siae  #DEV
    host_url :  https://dev-pollutec.appsalon.fr/web-service/synchronisation-mp  #LOCAL
    sync_url : https://dev-pollutec.appsalon.fr/web-service/synchronisation-va/    

    #host_api_atelier_conference_source: https://api-event.inwink.com/ad3ef856-c56f-ed11-ac20-cc60c8a87a13/session/query
    #host_api_atelier_exposant_source: https://api-event.inwink.com/ad3ef856-c56f-ed11-ac20-cc60c8a87a13/exhibitor/query
    host_api_atelier_conference_source: https://api-event.inwink.com/dd4d25e0-5442-ee11-b8f0-6045bd8c156d/session/query
    host_api_atelier_exposant_source: https://api-event.inwink.com/dd4d25e0-5442-ee11-b8f0-6045bd8c156d/exhibitor/query
    host_api_auth_source: https://auth.inwink.com/6167ef2b-0d60-4ced-5a1d-08dad79c7569/connect/token
    #auth_post_source : client_id=signaldigit-sync&client_secret=6cde24c1-0a2f-418b-a746-5da925c14681&scope=read-personsandsessions&grant_type=client_credentials
    auth_post_source : client_id=bliwe-signaldigit-sync&client_secret=4567dcbf-70cc-4a16-9511-c444a339234b&scope=read-infos&grant_type=client_credentials
    event: dd4d25e0-5442-ee11-b8f0-6045bd8c156d
    #event: e442a0a3-9559-ec11-94f6-a04a5e7cd2d9
    siae_host_api_atelier_exposant : siae_4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    siae_host_api_atelier_conference:  siae_sessions-4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    siae_host_api_atelier_poi_source:  siae_poi-4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    siae_host_api_auth_source: https://datafeed.hubj2c.com/api/login
    siae_host_api_atelier_conference_source: https://datafeed.hubj2c.com/api/63ef6b8a85e73?format=json
    siae_host_api_atelier_exposant_source: https://datafeed.hubj2c.com/api/6463e003ad9d6?format=json
    siae_auth_login_source : {"login":"lbodin","password":"Montarnaud34"}

    sepem_host_api_auth_source: https://exposant.gl-events.com/oauth/v2/token
    sepem_auth_post_source: client_id=1a816eea4fa99af56ab100b61439e826&client_secret=f8b14948779a9031600ceff1a197f88aa9df6716570a9acc579ab6b5ce485b8c7c971c01dc71481f7c202e843d7a486a1600eaa6708266f020614e9b5ac7b91a&username=consumer_bliwe&password=YdY#mt]s#?GZD{ucH^rN&grant_type=password
    sepem_host_api_atelier_exposant_source : https://exposant.gl-events.com/api/v1/exhibitions/152/exhibitors
    sepem_host_api_source : https://exposant.gl-events.com/api/v1/exhibitions/152/
    last_atelier_synch_filename : last_atelier_synch.csv
services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones
